Subject: emacs-next does not build deterministically

From: Jack Hill <[email-masked]>
Date: Fri, 1 May 2020 17:13:10 -0400 (EDT)

Hi Guix,

For me, emacs-next does not build deterministically. Looking at the 
diffoscope output,, it looks like a lot of the difference is timestamps. 
However, some, but not all of the .elc files differ, as well as 
emacs.pdmp. I believe that emacs.pdmp is created by the new portable 
dumper.

I've tried updating to the latest emacs snapshot, 27.0.91, but that still 
had the problem. The output from the following is attatched:

$ diffoscope \
/gnu/store/g99agydlksb1xa4zjk4nx3fshpfskq0n-emacs-next-27.0.91-0.c36c5a3-check \
/gnu/store/g99agydlksb1xa4zjk4nx3fshpfskq0n-emacs-next-27.0.91-0.c36c5a3

Best,
Jack